Re: pg_regress --temp-keep - Mailing list pgsql-patches

From Reini Urban
Subject Re: pg_regress --temp-keep
Date
Msg-id 4170085E.6090204@x-ray.at
Whole thread Raw
In response to Re: pg_regress --temp-keep  (Bruce Momjian <pgman@candle.pha.pa.us>)
Responses Re: pg_regress --temp-keep  (Bruce Momjian <pgman@candle.pha.pa.us>)
Re: pg_regress --temp-keep  (Tom Lane <tgl@sss.pgh.pa.us>)
List pgsql-patches
Bruce Momjian schrieb:
> Uh, why would someone use this option?

after fixing a minor issue, not to wait for a full
de-install / install and test database loss.

minor issues can be regression tests updates, or updated single binaries.

> ---------------------------------------------------------------------------
>
> Reini Urban wrote:
>
>>add boolean option --temp-keep to pg_regress to keep the existing
>>tmp_check installation, instead of overwriting it with a fresh make
>>install. Useful to test minor modifications in the current tmp_check
>>installation.
>>--
>>Reini Urban
>>http://xarch.tu-graz.ac.at/home/rurban/
>
>
>>*** src/test/regress/pg_regress.sh.orig    Wed Sep 22 21:11:19 2004
>>--- src/test/regress/pg_regress.sh    Fri Oct 15 12:38:00 2004
>>***************
>>*** 21,26 ****
>>--- 21,27 ----
>>    --schedule=FILE           use test ordering schedule from FILE
>>                              (may be used multiple times to concatenate)
>>    --temp-install[=DIR]      create a temporary installation (in DIR)
>>+   --temp-keep              keep existing temporary installation
>>
>>  Options for \`temp-install' mode:
>>    --top-builddir=DIR        (relative) path to top level build directory
>>***************
>>*** 90,95 ****
>>--- 91,97 ----
>>  unset debug
>>  unset top_builddir
>>  unset temp_install
>>+ unset temp_keep
>>  unset multibyte
>>
>>  dbname=regression
>>***************
>>*** 127,132 ****
>>--- 129,137 ----
>>          --temp-install=*)
>>                  temp_install=`expr "x$1" : "x--temp-install=\(.*\)"`
>>                  shift;;
>>+         --temp-keep)
>>+                 temp_keep=yes
>>+                 shift;;
>>          --max-connections=*)
>>                  maxconnections=`expr "x$1" : "x--max-connections=\(.*\)"`
>>                  shift;;
>>***************
>>*** 358,389 ****
>>              ;;
>>      esac
>>
>>!     if [ -d "$temp_install" ]; then
>>          message "removing existing temp installation"
>>          rm -rf "$temp_install"
>>!     fi
>>
>>!     message "creating temporary installation"
>>!     if [ ! -d "$LOGDIR" ]; then
>>          mkdir -p "$LOGDIR" || { (exit 2); exit; }
>>!     fi
>>!     $GMAKE -C "$top_builddir" DESTDIR="$temp_install/install" install with_perl=no with_python=no
>"$LOGDIR/install.log"2>&1 
>>
>>!     if [ $? -ne 0 ]
>>!     then
>>          echo
>>          echo "$me: installation failed"
>>          echo "Examine $LOGDIR/install.log for the reason."
>>          echo
>>          (exit 2); exit
>>!     fi
>>
>>!     # fix conversion shared objs path
>>!     conv=$datadir/conversion_create.sql
>>!     backup=$conv.bak
>>!     mv $conv $backup
>>!     sed -e "s@\$libdir@$pkglibdir@g" $backup > $conv
>>!     rm $backup
>>
>>      message "initializing database system"
>>      [ "$debug" = yes ] && initdb_options='--debug'
>>--- 363,398 ----
>>              ;;
>>      esac
>>
>>!     if [ "$temp_keep" = "yes" ]; then
>>!         message "keeping existing temp installation"
>>!     else
>>!       if [ -d "$temp_install" ]; then
>>          message "removing existing temp installation"
>>          rm -rf "$temp_install"
>>!       fi
>>
>>!       message "creating temporary installation"
>>!       if [ ! -d "$LOGDIR" ]; then
>>          mkdir -p "$LOGDIR" || { (exit 2); exit; }
>>!       fi
>>!       $GMAKE -C "$top_builddir" DESTDIR="$temp_install/install" install with_perl=no with_python=no
>"$LOGDIR/install.log"2>&1 
>>
>>!       if [ $? -ne 0 ]
>>!       then
>>          echo
>>          echo "$me: installation failed"
>>          echo "Examine $LOGDIR/install.log for the reason."
>>          echo
>>          (exit 2); exit
>>!       fi
>>
>>!       # fix conversion shared objs path
>>!       conv=$datadir/conversion_create.sql
>>!       backup=$conv.bak
>>!       mv $conv $backup
>>!       sed -e "s@\$libdir@$pkglibdir@g" $backup > $conv
>>!       rm $backup
>>!     fi # eof temp_keep
>>
>>      message "initializing database system"
>>      [ "$debug" = yes ] && initdb_options='--debug'
>
>
>>---------------------------(end of broadcast)---------------------------
>>TIP 9: the planner will ignore your desire to choose an index scan if your
>>      joining column's datatypes do not match
>
>


--
Reini Urban
http://xarch.tu-graz.ac.at/home/rurban/

pgsql-patches by date:

Previous
From: Tom Lane
Date:
Subject: Re: pg_regress --temp-keep
Next
From: Bruce Momjian
Date:
Subject: Re: pg_regress --temp-keep